curl https://api.lumenfall.ai/v1/webhooks/secret \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/webhooks/secret",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
secret = response.json()["key"]
print(secret) # whsec_...
const response = await fetch("https://api.lumenfall.ai/v1/webhooks/secret", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const { key } = await response.json();
console.log(key); // whsec_...
{
"key": "whsec_dGhpcyBpcyBhbiBleGFtcGxl..."
}
Webhooks
Get webhook secret
Retrieve your organization’s webhook signing secret
GET
/
v1
/
webhooks
/
secret
curl https://api.lumenfall.ai/v1/webhooks/secret \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/webhooks/secret",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
secret = response.json()["key"]
print(secret) # whsec_...
const response = await fetch("https://api.lumenfall.ai/v1/webhooks/secret", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const { key } = await response.json();
console.log(key); // whsec_...
{
"key": "whsec_dGhpcyBpcyBhbiBleGFtcGxl..."
}
Returns the webhook signing secret for your organization. Use this secret to verify webhook signatures.
A secret is automatically provisioned the first time you call this endpoint or use a
webhook_url in a request.
This endpoint uses the native Lumenfall API path (
/v1/webhooks/secret), not the OpenAI-compatible prefix (/openai/v1).Response
string
Your webhook signing secret, prefixed with
whsec_. Store this securely - treat it like an API key.curl https://api.lumenfall.ai/v1/webhooks/secret \
-H "Authorization: Bearer $LUMENFALL_API_KEY"
import requests
response = requests.get(
"https://api.lumenfall.ai/v1/webhooks/secret",
headers={"Authorization": "Bearer your-lumenfall-api-key"}
)
secret = response.json()["key"]
print(secret) # whsec_...
const response = await fetch("https://api.lumenfall.ai/v1/webhooks/secret", {
headers: { Authorization: "Bearer your-lumenfall-api-key" },
});
const { key } = await response.json();
console.log(key); // whsec_...
{
"key": "whsec_dGhpcyBpcyBhbiBleGFtcGxl..."
}